ATA_SG_INIT(9)

NAME
ata_sg_init - Associate command with scatter-gather table.

SYNOPSIS

void ata_sg_init (struct ata_queued_cmd * qc, struct scatterlist * sg, unsigned int n_elem);

ARGUMENTS

qc  Command to be associated

sg  Scatter-gather table.

n_elem
    Number of elements in s/g table.

DESCRIPTION

Initialize the data-related elements of queued_cmd qc to point to a scatter-gather table sg, containing n_elem elements.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.